ru.bitel.bgbilling.server.util

## Class XMLDatabaseElementSerializer

- java.lang.Object
- - ru.bitel.bgbilling.server.util.XMLDatabaseSerializer
  - - ru.bitel.bgbilling.server.util.XMLDatabaseElementSerializer

-     public class XMLDatabaseElementSerializer
      extends XMLDatabaseSerializer

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.server.util.XMLDatabaseSerializer

      `BINARY_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLDatabaseElementSerializer(org.w3c.dom.Element whereAdd)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `startElement(java.lang.String table)`
    `protected void` | `stopElement()`
    `protected void` | `writeAtrtibute(java.lang.String name, java.lang.String val)`

    - ### Methods inherited from class ru.bitel.bgbilling.server.util.XMLDatabaseSerializer

      `addItemsFromRS, addItemsFromRS, insertElementToBase`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XMLDatabaseElementSerializer

          public XMLDatabaseElementSerializer(org.w3c.dom.Element whereAdd)

  - ### Method Detail

    - #### startElement

          protected void startElement(java.lang.String table)
                               throws javax.xml.stream.XMLStreamException

      Overrides:
        `startElement` in class `XMLDatabaseSerializer`
      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### writeAtrtibute

          protected void writeAtrtibute(java.lang.String name,
                                        java.lang.String val)
                                 throws javax.xml.stream.XMLStreamException

      Overrides:
        `writeAtrtibute` in class `XMLDatabaseSerializer`
      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### stopElement

          protected void stopElement()
                              throws javax.xml.stream.XMLStreamException

      Overrides:
        `stopElement` in class `XMLDatabaseSerializer`
      Throws:
        `javax.xml.stream.XMLStreamException`